Skip to main content
POST
Save product data and return matching ProductCountry objects
Saves product data on the Global‑e system and returns the list of matching ProductCountry objects for the list of products specified. The caller is responsible for calling this method for every product not found (or invalidated) in the local cache on the Merchant side. Calling this method as soon as possible will allow Global‑e to map the products to their respective customs category and will therefore allow guaranteed landed cost offering for these products. Therefore, this method should be called when creating or updating the products on the Merchant’s back end as well.

Query Parameters

clientIP
string

End customer’s IP address

countryCode
string

2-char ISO country code of the end customer’s shipping country

cultureCode
string

ISO culture code. If specified, the textual properties (e.g. RestrictionMessage) will be returned in the requested culture’s language if available. Texts in English will be returned by default.

includeVAT
integer<int64>

IncludeVAT value returned from CountryCoefficients method

inputDataCultureCode
string

ISO culture code. Denotes the culture for the products’ textual properties being saved (e.g. Description). If not specified, the Merchant’s default culture will be assumed by default.

originalCurrencyCode
string

3-char ISO currency code denoting the original currency on the Merchant’s site (before applying country coefficient and FX conversion). If not specified, the Merchant’s default currency will be assumed by default.

priceCoefficientRate
number

Rate returned from CountryCoefficients method

productsList
Product · object[]

List of Product objects (specified in the request body)

roundingRuleId
integer<int64>

The RoundingRuleId value returned from the RoundingRules method

Response

200 - application/json

List of countries and their details for the specified products.

ProductCountry
ProductCountry · object[]

List of countries and their details for specified products